<div style="margin-top: 20px;" *ngIf="!editPage">
    <div class="container">
        <div class="row">
            <div style="margin-bottom:50px;">
                <h5>
                    <span jhiTranslate="mpmApp.salesUnitRequirement.home.title">Draft VSO</span>
                </h5>
            </div>
            <p-tabView>
                <p-tabPanel header="Not Required">
                    <jhi-sales-unit-requirement-by-status-approval-and-sales 
                        [status]="baseConstants.Status.STATUS_NOT_REQUIRED"
                        (fnCallback) = "doRefresh()"
                        [isKorsal]="korsal"
                        (fnEdit) = "edit($event)"
                        *ngIf="statusOne">
                    </jhi-sales-unit-requirement-by-status-approval-and-sales>
                    <jhi-fetching-data 
                        *ngIf="!statusOne"
                    ></jhi-fetching-data>
                </p-tabPanel>
                <p-tabPanel header="Waiting For Approval">
                    <jhi-sales-unit-requirement-by-status-approval-and-sales 
                        [status]="baseConstants.Status.STATUS_WAITING_FOR_APPROVAL"
                        (fnCallback) = "doRefresh()"
                        [isKorsal]="korsal"
                        (fnEdit) = "edit($event)"
                        *ngIf="statusTwo">
                    </jhi-sales-unit-requirement-by-status-approval-and-sales>
                    <jhi-fetching-data 
                        *ngIf="!statusTwo"
                    ></jhi-fetching-data>
                </p-tabPanel>
                <p-tabPanel header="Not Approved">
                    <jhi-sales-unit-requirement-by-status-approval-and-sales 
                        [status]="baseConstants.Status.STATUS_REJECTED"
                        (fnCallback) = "doRefresh()"
                        [isKorsal]="korsal"
                        (fnEdit) = "edit($event)"
                        *ngIf="statusThree">
                    </jhi-sales-unit-requirement-by-status-approval-and-sales>
                    <jhi-fetching-data 
                        *ngIf="!statusThree"
                    ></jhi-fetching-data>
                </p-tabPanel>
                <p-tabPanel header="Approved">
                    <jhi-sales-unit-requirement-by-status-approval-and-sales 
                        [status]="baseConstants.Status.STATUS_APPROVED"
                        (fnCallback) = "doRefresh()"
                        [isKorsal]="korsal"
                        (fnEdit) = "edit($event)"
                        *ngIf="statusFour">
                    </jhi-sales-unit-requirement-by-status-approval-and-sales>
                    <jhi-fetching-data 
                        *ngIf="!statusFour"
                    ></jhi-fetching-data>
                </p-tabPanel>
            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<jhi-sales-unit-requirement-for-prospect-edit 
    *ngIf="editPage"
    [idReq]="salesUnitRequirement.idRequirement"
    (fnPreviousState)="previousState()"
></jhi-sales-unit-requirement-for-prospect-edit>
<p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>